<link rel=stylesheet href="{$oPlugin->cAdminmenuPfadURL}css/style.css" type="text/css" />
<link rel=stylesheet href="{$oPlugin->cAdminmenuPfadURL}css/select2.min.css" type="text/css" />
<script type="text/javascript" src="{$oPlugin->cAdminmenuPfadURL}js/select2.min.js"></script>
<script type="text/javascript" src="{$oPlugin->cAdminmenuPfadURL}js/kk.js"></script>

<div id="box_edit">
	<form enctype="multipart/form-data" method="post" id="mappings_create" action="{$pluginAdminUrl}#features_edit">
	<div id="feature_sort_create" class="kk_admin_box panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">{if isset($to_edit)}Merkmalsortierung mit ID {$to_edit->id} editieren{else}Merkmalsortierung erstellen{/if}</h3>
			</div>
			{if isset($error_msg)}
				<div class="box_error alert alert-danger">{$error_msg}</div>
			{/if}
			{if isset($info_msg)}
				<div class="box_info alert alert-info">{$info_msg}</div>
			{/if}
			<div class="table-responsive">
				<table class="feature_sort_edit_table list table">
					<tr>
						<td class="input">
							<label for="sort_type">Typ</label>
							<select name="sort_type" id="sort_type">
								<option value="category"{if isset($to_edit) && $to_edit->sort_type == 'category'} selected="selected"{/if}>
									Kategorie
								</option>
								<option value="brand"{if isset($to_edit) && $to_edit->sort_type == 'brand'} selected="selected"{/if}>
									Hersteller
								</option>
								<option value="featureValue"{if isset($to_edit) && $to_edit->sort_type == 'featureValue'} selected="selected"{/if}>
									Merkmalwert
								</option>
								<option value="special"{if isset($to_edit) && $to_edit->sort_type == 'special'} selected="selected"{/if}>
									Spezialseiten
								</option>
								<option value="search"{if isset($to_edit) && $to_edit->sort_type == 'search'} selected="selected"{/if}>
									Suche
								</option>
								<option value="productCategory"{if isset($to_edit) && $to_edit->sort_type == 'productCategory'} selected="selected"{/if}>
									Produkte der Kategorie
								</option>
							</select>
						</td>
						<td class="desc"></td>
					</tr>
	
					<tr class="{if isset($to_edit) && ($to_edit->sort_type != 'category' && $to_edit->sort_type != 'productCategory')}hidden{/if}" id="category_select_row">
						<td class="input">
							<label for="kKategorie">Kategorie</label>
							<select name="kKategorie">
								{$category_options}
							</select>
						</td>
						<td class="desc"></td>
					</tr>
	
					<tr class="{if isset($to_edit) && $to_edit->sort_type != 'brand'}hidden{/if}" id="brand_select_row">
						<td class="input">
							<label for="kHersteller">Hersteller</label>
							<select name="kHersteller">
								{$brand_options}
							</select>
						</td>
						<td></td>
					</tr>
					
					<tr class="{if isset($to_edit) && $to_edit->sort_type != 'brand'}hidden{/if}" id="featureValue_select_row">
						<td class="input">
							<label for="kFeatureValue">Merkmalwert</label>
							<select name="kFeatureValue">
								{$featureValue_options}
							</select>
						</td>
						<td></td>
					</tr>
	
					<tr class="{if isset($to_edit) && $to_edit->sort_type != 'special'}hidden{/if}" id="special_select_row">
						<td class="input">
							<label for="kSpecial">Spezialseite</label>
							<select name="kSpecial">
								{$special_options}
							</select>
						</td>
						<td></td>
					</tr>
					
					<tr class="{if isset($to_edit) && $to_edit->sort_type != 'search'}hidden{/if}" id="search_query_row">
						<td class="input">
							<label for="cSuchbegriff">Suchbegriff</label>
							<input name="cSuchbegriff" value="{if isset($to_edit) && $to_edit->sort_type == 'search' && !empty($to_edit->sort_key) && $to_edit->sort_key != -1}{$to_edit->sort_key}{/if}"/>
						</td>
						<td class="desc">
							Bestimmter Suchbegriff. Feld leer lassen, um alle Suchen zu adressieren.
						</td>
					</tr>
	
					<tr>
						<td class="input">
							<label for="sorts">Sortierung</label>
							<textarea name="sorts">{if isset($to_edit)}{$to_edit->sorts}{/if}</textarea>
						</td>
						<td class="desc">
							Gib hier die Namen oder IDs (umschlo&szlig;en mit "[[" und "]]") der Merkmale ein und trenne diese durch ein Trennzeichen (Standard: ",") 
							Beispiel: "Gr&ouml;&szlig;e, Art und Weise, Farbe, [[23]]".
						</td>
					</tr>
					
					<tr>
						<td class="input">
							<label for="sorts">Unsortierte Merkmale anh&auml;ngen?</label>
							<select name="appendUnsorted">
								<option value=""{if empty($to_edit->appendUnsorted)} selected="selected"{/if}>globale Einstellung</option>
								<option value="Y"{if isset($to_edit) && $to_edit->appendUnsorted == 'Y'} selected="selected"{/if}>Ja</option>
								<option value="N"{if isset($to_edit) && $to_edit->appendUnsorted == 'N'} selected="selected"{/if}>Nein</option>
							</select>
						</td>
						<td class="desc">
							Neben der globalen Einstellung kannst du hier f&uuml;r jede Sortierung bestimmen, 
							ob unsortierte Merkmale (die nicht in deiner Sortierung vorkommen) angehangen werden sollen.
						</td>
					</tr>

					<tr class="{if isset($to_edit) && ($to_edit->sort_type != 'category') && ($to_edit->sort_type != 'productCategory')}hidden{/if}" id="inherit_sorts_row">
						<td class="input">
							<label for="sorts">Sortierungen vererben?</label>
							<select name="inheritSorts">
								<option value=""{if empty($to_edit->inheritSorts)} selected="selected"{/if}>-</option>
								<option value="Y"{if isset($to_edit) && $to_edit->inheritSorts == 'Y'} selected="selected"{/if}>Ja</option>
								<option value="N"{if isset($to_edit) && $to_edit->inheritSorts == 'N'} selected="selected"{/if}>Nein</option>
							</select>
						</td>
						<td class="desc">
							Sollen - bei einer Sortierung f&uuml;r Kategorien - diese auch auf Unterkategorien vererbt werden?
						</td>
					</tr>
				</table>
			</div>
			<div class="save_wrapper panel-footer">
				{if isset($to_edit)}
					<input type="hidden" value="{$to_edit->id}" name="to_edit_id" />
				{/if}
				{if isset($to_edit)}
					<button name="featuresort_save_submit" type="submit" class="btn btn-primary orange">
						<i class='fa fa-save'></i> Merkmalsortierung speichern
					</button>
				{else}
					<button name="featuresort_create_submit" type="submit" class="btn btn-primary orange">
						<i class='fa fa-plus-square'></i> Merkmalsortierung erstellen
					</button>
				{/if}
			</div>
		</div>
	</form>
	<form enctype="multipart/form-data" method="post" id="mappings_create" action="{$pluginAdminUrl}#features_edit">
		<div id="feature_sort_edit" class="kk_admin_box panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">Merkmalsortierungen verwalten</h3>
			</div>
			<div class="panel-body">
				{if isset($feature_table)}
					
						<div class="table-responsive">
							{$feature_table}
						</div>
				{else}
					<div class="box_info alert alert-warning">
						Noch keine Merkmalsortierungen angelegt.
					</div>
				{/if}
			</div>
			<div class="panel-footer">
				<button class='button remove btn btn-default' type='submit' name='featuresort_cleanup_submit' data-toggle='tooltip' title='Sucht Sortierungen nicht (mehr) vorhandener Shopseiten und entfernt diese.'>
					<i class='fa fa-trash'></i> Sortierungen aufr&auml;umen
				</button>
			</div>
		</div>
	</form>
</div>