<div id="feature_value_sorts" class="kk_admin_box panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Merkmalwerte sortieren</h3>
	</div>
	{if !empty($feature_values_table)}
		<div class="box_info panel-body kk_admin_box">
			<div class="alert alert-info kk-doku-alert">
				<div class="row">
					<div class="col-md-3">
						<p>Lege hier fest, wie die Werte eines bestimmten Merkmals sortiert werden sollen.</p>
						<p><b>Beachte</b> gerade bei der Interpretation als Zahl die Einstellung "Stopw&ouml;rter Merkmalwertsortierung" im Tab Einstellungen.</p>
					</div>
					<div class="col-md-9">
						<table class="table table-bordered"> 
							<thead> 
								<tr> <th style="min-width:200px">Sortieroption</th> <th>Kommentar</th></tr> 
							</thead> 
							<tbody> 
								<tr> <td>Nat&uuml;rlich</td> <td>"Menschliche" Sortierung. "1kg", "10kg" und "2kg" wird zu (1kg, 2kg, 10kg) bzw. absteigend (10kg, 2kg, 1kg) geordnet.</td> </tr>
								<tr> <td>Zahl</td> <td>Der Merkmalwert wird als Zahl interpretiert und aufsteigend (1,2,3, ...) bzw. absteigend (9,8,7,...) geordnet.</td> </tr>
								<tr> <td>Zeichenkette</td> <td>Die Werte werden als W&ouml;rter interpretiert und alphabetisch (aussteigend oder absteigend) sortiert.</td> </tr>
								<tr> <td>Anzahl Ergebnisse</td> <td>Die Merkmalwerte mit den meisten Ergebnissen in der jeweilen Artikelliste werden nach oben sortiert.</td> </tr>
								<tr> <td>Monatsnamen</td> <td>Die Merkmalwerte werden als Monatsnamen interpretiert und aufsteigend sortiert (Januar, Februar, M&auml;rz, ... ).</td> </tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>
	
			<form enctype="multipart/form-data" method="post" action="{$pluginAdminUrl}#feature_value_sort">
				
				{$feature_values_table}
	
				<div class="save_wrapper panel-footer">
					<button type="submit" class="orange btn btn-primary" name="featuresortvalue_save_submit">
						<i class="fa fa-save"></i> Speichern
					</button>
				</div>
			</form>
		</div>
	{else}
		<div class="box_error alert alert-warning">
			Keine Merkmalwerte oder Merkmale gefunden.
		</div>
	{/if}
</div>